langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.teaser
    - field.field.node.faq_page.field_p_faq_display_audience
    - field.field.node.faq_page.field_p_faq_display_body
    - field.field.node.faq_page.field_p_faq_display_tags
    - field.field.node.faq_page.field_p_faq_display_topic
    - node.type.faq_page
  module:
    - ds
    - field_formatter_class
    - smart_trim
    - user
third_party_settings:
  ds:
    layout:
      id: pattern_faq_list
      library: null
      disable_css: false
      entity_classes: all_classes
      settings:
        pattern:
          field_templates: only_content
    regions:
      title:
        - node_title
      body:
        - field_p_faq_display_body
    fields:
      node_title:
        plugin_id: node_title
        weight: 0
        label: hidden
        formatter: default
        settings:
          link: true
          wrapper: ''
          class: ''
id: node.faq_page.teaser
targetEntityType: node
bundle: faq_page
mode: teaser
content:
  field_p_faq_display_body:
    type: smart_trim
    weight: 1
    region: body
    label: above
    settings:
      trim_length: 600
      trim_type: words
      trim_suffix: ''
      wrap_class: trimmed
      more_text: More
      more_class: more-link
      trim_options:
        text: true
        trim_zero: false
      wrap_output: false
      more_link: false
      summary_handler: full
    third_party_settings:
      field_formatter_class:
        class: ''
hidden:
  content_moderation_control: true
  field_p_faq_display_audience: true
  field_p_faq_display_tags: true
  field_p_faq_display_topic: true
  langcode: true
  links: true
